> For the complete documentation index, see [llms.txt](https://designsystem.dubai.ae/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://designsystem.dubai.ae/developers/vanilla-js.md).

# Vanilla JS

## DDA with Web Components <a href="#dda-with-web-components" id="dda-with-web-components"></a>

This is a step-by-step guide to use vanilla web components.

#### Setup  <a href="#setup" id="setup"></a>

For version above 3.11.0

First, import the package script and CSS:

<pre class="language-jsx"><code class="lang-jsx">&#x3C;link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@dubai-design-system/components-js@latest/dist/dda/dda.css" />
<strong>&#x3C;script type="module">
</strong>        import { defineCustomElements } from 'https://cdn.jsdelivr.net/npm/@dubai-design-system/components-js@latest/loader/index.js';
        defineCustomElements();
&#x3C;/script>
</code></pre>

**For Versions older the 3.11.0**

First, import the package script and CSS:

```html
<script type="module">
        import { defineCustomElements } from 'https://cdn.jsdelivr.net/npm/@dubai-design-system/components-js@latest/loader/index.js';
        defineCustomElements();
</script>
```

Next, add the material-icons package which is the icon package used by DDA:

Start by adding the material-icons package inside the `<head>` tag

```jsx
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
```

You should now be able to use DDA components:

```jsx
<dda-button 
    button_color="default-primary" 
    start_icon="sentiment_satisfied"
    end_icon="arrow_forward" 
    custom_class="" 
    mode="light" 
    button_id="button" 
    aria_label="button"
    size="lg"
    button_shape="circle">
    Click Here
 </dda-button>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://designsystem.dubai.ae/developers/vanilla-js.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
